# Goals: read in the corpus files, scale intensity to 70 dB, save each file to 
# a new output directory
# Input: sound file
# Output: sound file (with new intensity)

# where are my files located? 
path$ = "/Users/eleanor/Desktop/speech_corpus/"

# where should I save the output files?
output_path$ = "/Users/eleanor/Desktop/output/"

Create Strings as file list: "files", path$ + "*.wav"
nFiles = Get number of strings

# start the for loop to read in each file
for i from 1 to nFiles
	selectObject: "Strings files"
	filename$ = Get string: i
	basename$ = filename$ - ".wav"
	Read from file: path$ + basename$ + ".wav"


	# scale the intensity to 70 dB
	Scale intensity: 70

	# save the file! 
	Save as WAV file: output_path$ + basename$ + "_70dB.wav"

	# clean up
	selectObject: "Sound " + basename$
	Remove
	
	#pauseScript: i	

endfor