# measure the duration of every TextGrid
# create a 2-column spreadsheet
# first column: name of the TextGrid
# second column: duration 

# Input: TextGrid
# Output: Text file

# where are my files?
path$ = "/Users/eleanor/Desktop/speech_corpus/"

# create the text file
outfile$ = "/Users/eleanor/Desktop/durations.txt"
appendFileLine: outfile$, "file", tab$, "dur"

# set up the for loop
Create Strings as file list: "files", path$ + "*.TextGrid"
nFiles = Get number of strings

for i from 1 to nFiles
	selectObject: "Strings files"
	filename$ = Get string: i
	basename$ = filename$ - ".TextGrid"
	Read from file: path$ + filename$

	# get the duration of the file
	dur = Get total duration

	# write the filename and duration to the text file
	appendFileLine: outfile$, basename$, tab$, dur

	# clean up 
	selectObject: "TextGrid " + basename$
	Remove

endfor